[Overview][Types][Classes][Index] | Reference for unit 'Toolwin' (#lcl)

# TToolWindow

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: toolwin.pp line 56

`type TToolWindow = class(TCustomControl)`
`protected`
`procedure AdjustClientRect(); override;` |  |
`procedure Paint; override;` |  |
`public`
`constructor Create(); override;` |  |
`property EdgeBorders: TEdgeBorders; [rw]` |  |
`property EdgeInner: TEdgeStyle; [rw]` |  |
`property EdgeOuter: TEdgeStyle; [rw]` |  |
`end;`

## Inheritance

`TToolWindow` |  |
`TCustomControl` |  | TCustomControl - a base class for many window controls
`TWinControl` |  | TWinControl - the base class for all windowed controls
`TControl` |  | TControl - the main ancestor class for visual controls.
`TLCLComponent`
?
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.